import request from '@/utils/request'

// 查询投资人认缴详细列表
export function listDetails(query) {
  return request({
    url: '/basicData/xcrInvestorSubscriptionDetails/findByPage',
    method: 'get',
    params: query
  })
}

// 查询投资人认缴详细详细
export function getDetails(xhCodeId) {
  return request({
    url: '/basicData/xcrInvestorSubscriptionDetails/' + xhCodeId,
    method: 'get'
  })
}

// 新增投资人认缴详细
export function addDetails(data) {
  return request({
    url: '/basicData/xcrInvestorSubscriptionDetails',
    method: 'post',
    data: data
  })
}

// 修改投资人认缴详细
export function updateDetails(data) {
  return request({
    url: '/basicData/xcrInvestorSubscriptionDetails',
    method: 'put',
    data: data
  })
}

// 删除投资人认缴详细
export function delDetails(xhCodeId) {
  return request({
    url: '/basicData/xcrInvestorSubscriptionDetails/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delDetailsBatch(ids) {
  return request.post('/basicData/xcrInvestorSubscriptionDetails/delete',ids)
}
